Fish_GoldenTurtleHitCFG = {}

function Fish_GoldenTurtleHitCFG:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function Fish_GoldenTurtleHitCFG:init()
	self.datas = {}
	self.datas[1] = {ID = 1, Type = 1, Minimumvalue = 0, Maximumvalue = 10, Coefficient = 30}
	self.datas[2] = {ID = 2, Type = 1, Minimumvalue = 11, Maximumvalue = 100, Coefficient = 60}
	self.datas[3] = {ID = 3, Type = 1, Minimumvalue = 101, Maximumvalue = 500, Coefficient = 80}
	self.datas[4] = {ID = 4, Type = 1, Minimumvalue = 501, Maximumvalue = 99999999, Coefficient = 100}
	self.datas[5] = {ID = 5, Type = 2, Minimumvalue = 1000, Maximumvalue = 1000, Coefficient = 30}
	self.datas[6] = {ID = 6, Type = 2, Minimumvalue = 1500, Maximumvalue = 4500, Coefficient = 60}
	self.datas[7] = {ID = 7, Type = 2, Minimumvalue = 5000, Maximumvalue = 7000, Coefficient = 80}
	self.datas[8] = {ID = 8, Type = 2, Minimumvalue = 8000, Maximumvalue = 10000, Coefficient = 100}
end

Fish_GoldenTurtleHitCFG:init()
